SDL_iOSAnimationCallback(3type)

NAME
SDL_iOSAnimationCallback - The prototype for an Apple iOS animation callback.

HEADER FILE
Defined in SDL3/SDL_system.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef void (SDLCALL *SDL_iOSAnimationCallback)(void *userdata);

DESCRIPTION
This datatype is only useful on Apple iOS.

After passing a function pointer of this type to

SDL_SetiOSAnimationCallback , the system will call that function pointer at a regular interval.

FUNCTION PARAMETERS

userdata
    what was passed as callbackParam to SDL_SetiOSAnimationCallback
     as callbackParam .

AVAILABILITY
This datatype is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetiOSAnimationCallback(3)